From: Michael Catanzaro <mcatanzaro@redhat.com>
Date: Thu, 16 Dec 2021 12:49:13 -0600
Subject: Add CSP for reader mode (backport for GNOME 3.36)

(cherry picked from commit 00c7020ff35b53abb4bf5236369d44bfc36d8d7c)
---
 embed/ephy-web-view.c | 2 ++
 1 file changed, 2 insertions(+)

--- a/embed/ephy-web-view.c
+++ b/embed/ephy-web-view.c
@@ -3793,6 +3793,8 @@ ephy_web_view_toggle_reader_mode (EphyWe
                                                  EPHY_PREFS_READER_COLOR_SCHEME));
   g_string_append_printf (html, "<style>%s</style>"
                                 "<title>%s</title>"
+                                "<meta http-equiv='Content-Type' content='text/html;' charset='UTF-8'>" \
+                                "<meta http-equiv='Content-Security-Policy' content=\"script-src 'none'\">" \
                                 "<body class='%s %s'>"
                                 "<article>"
                                 "<h2>"
